Update Featured Api Collection
PUT /obp/v7.0.0/management/api-collections/featured/API_COLLECTION_ID
OBPv6.0.0-updateFeaturedApiCollection Roles: CanManageFeaturedApiCollections Api-CollectionAPI
Update the sort order of a featured API collection.
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
API_COLLECTION_ID: 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
JSON response body fields (3)
- api_collection_id
- 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
- featured_api_collection_id
- 9uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
- sort_order
- 1
Example request body
{
"sort_order": 1
}Example success response
{
"featured_api_collection_id": "9uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
"api_collection_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
"sort_order": 1
}Possible errors (5)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-30400: FeaturedApiCollection not found. Please specify a valid value for API_COLLECTION_ID.
- OBP-30402: Could not update FeaturedApiCollection.
- OBP-50000: Unknown Error.